#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""List events of a iCalendar file"""

# Install dependencies:
#   pacman -S python-pip
#   pip install ics

#=== MODULES ===================================================================

from ics import Calendar

#=== INFO ======================================================================

"""@author: Patrick Neumann
@contact:   patrick@neumannsland.de
@copyright: Copyright (C) 2019, Patrick Neumann
@license:   GNU General Public License 3.0
@date:      2019-04-29
@version:   1.0.0
@status:    Development
"""

#=== MAIN ======================================================================

with open('./tmp/user-calendar.ics', 'r') as f:
  c = Calendar(f)
  print( c.events )

sys.exit(0)